## org.apache.ivy.plugins.resolver
Interface ResolverSettings

All Superinterfaces:
  ParserSettings

All Known Subinterfaces:
  RepositoryManagementEngineSettings, ResolveEngineSettings

All Known Implementing Classes:
  IvySettings

    public interface ResolverSettings

extends ParserSettings

Method Summary
`void` `configureRepositories(boolean b)`
`void` `filterIgnore(java.util.Collection names)`
`LatestStrategy` `getDefaultLatestStrategy()`
`RepositoryCacheManager` `getDefaultRepositoryCacheManager()`
`LatestStrategy` `getLatestStrategy(java.lang.String latestStrategyName)`
`Namespace` `getNamespace(java.lang.String namespaceName)`
`RepositoryCacheManager` `getRepositoryCacheManager(java.lang.String name)`
`RepositoryCacheManager[]` `getRepositoryCacheManagers()`
`java.lang.String` `getResolveMode(ModuleId moduleId)`
`SignatureGenerator` `getSignatureGenerator(java.lang.String name)`
`Namespace` `getSystemNamespace()`
`java.lang.String` `getVariable(java.lang.String string)`
`VersionMatcher` `getVersionMatcher()`

Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings
`getConflictManager, getContextNamespace, getDefaultBranch, getMatcher, getRelativeUrlResolver, getResolutionCacheManager, getResolver, getStatusManager, resolveFile, substitute, substitute`

Method Detail

### getLatestStrategy

    LatestStrategy getLatestStrategy(java.lang.String latestStrategyName)

### getDefaultLatestStrategy

    LatestStrategy getDefaultLatestStrategy()

### getRepositoryCacheManager

    RepositoryCacheManager getRepositoryCacheManager(java.lang.String name)

### getDefaultRepositoryCacheManager

    RepositoryCacheManager getDefaultRepositoryCacheManager()

### getRepositoryCacheManagers

    RepositoryCacheManager[] getRepositoryCacheManagers()

### getNamespace

    Namespace getNamespace(java.lang.String namespaceName)

  Specified by:
    `getNamespace` in interface `ParserSettings`

### getSystemNamespace

    Namespace getSystemNamespace()

### getVariable

    java.lang.String getVariable(java.lang.String string)

### configureRepositories

    void configureRepositories(boolean b)

### getVersionMatcher

    VersionMatcher getVersionMatcher()

### getResolveMode

    java.lang.String getResolveMode(ModuleId moduleId)

### filterIgnore

    void filterIgnore(java.util.Collection names)

### getSignatureGenerator

    SignatureGenerator getSignatureGenerator(java.lang.String name)